<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>01500_AccessDrvTest</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group_____access_drv_test.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">01500_AccessDrvTest<div class="ingroups"><a class="el" href="group___t_e_s_t___r_u_n_t_i_m_e.html">Runtime</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga302dd2497916a7bb97308d42cd5f1740"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____access_drv_test.html#ga302dd2497916a7bb97308d42cd5f1740">TestCase_GC00100_DirectAccessToDriver</a> ()</td></tr>
<tr class="separator:ga302dd2497916a7bb97308d42cd5f1740"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38cd244970f01c4b8ce8fb7106535f40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____access_drv_test.html#ga38cd244970f01c4b8ce8fb7106535f40">TestCase_GC00200_NWdTestDriverAccess</a> ()</td></tr>
<tr class="separator:ga38cd244970f01c4b8ce8fb7106535f40"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<dl class="section user"><dt>Description:</dt><dd>This test check driver or proxy access </dd></dl>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga302dd2497916a7bb97308d42cd5f1740"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00100_DirectAccessToDriver </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Check if direct access to driver is available </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>OpenDevice with ID directly target the driver</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>310C</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Runtime.01500_AccessDrvTest.GC00100_DirectAccessToDriver </dd></dl>

</div>
</div>
<a class="anchor" id="ga38cd244970f01c4b8ce8fb7106535f40"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC00200_NWdTestDriverAccess </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Check if test NWd kernel driver is available </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Try to open driver device node TEST_KERN_MOD</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd><a href="group___basic.html">Yes</a></dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd><a href="group___quick.html">Yes</a></dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>Runtime.01500_AccessDrvTest.GC00200_NWdTestDriverAccess </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
